typo 3 install errors

i get some errors when trying to install typo3 CMS. errors in paritcular: Installing package(s) with command apt-get -y -f install php70-gd ..

Reading package lists... Building dependency tree... Reading state information... E: Unable to locate package php70-gd .. install failed!

Installing package(s) with command apt-get -y -f install php70-soap ..

Reading package lists... Building dependency tree... Reading state information... E: Unable to locate package php70-soap .. install failed!

Failed to extract source : Sub-directory typo3_src-7.6.29 was not found

Status: 
Closed (duplicate)

Comments

full install log:

Downloading https://get.typo3.org/7/tar.gz .. Downloading https://typo3.azureedge.net/typo3/7.6.32/typo3_src-7.6.32.tar.gz (19.67 MB) .. Received 1024 bytes (0 %) Received 1.97 MB (10 %) Received 3.94 MB (20 %) Received 5.90 MB (30 %) Received 7.87 MB (40 %) Received 9.84 MB (50 %) Received 11.80 MB (60 %) Received 13.77 MB (70 %) Received 15.74 MB (80 %) Received 17.71 MB (90 %) Received 19.67 MB (100 %) .. download complete.

PHP module gd is required .. Enabling module in PHP configuration .. .. done Installing package php70-gd .. Installing package(s) with command apt-get -y -f install php70-gd ..

Reading package lists... Building dependency tree... Reading state information... E: Unable to locate package php70-gd .. install failed! Installing package php-gd .. Installing package(s) with command apt-get -y -f install php-gd ..

Reading package lists... Building dependency tree... Reading state information... The following additional packages will be installed: php7.0-gd The following NEW packages will be installed: php-gd php7.0-gd 0 upgraded, 2 newly installed, 0 to remove and 0 not upgraded. Need to get 32.2 kB of archives. After this operation, 146 kB of additional disk space will be used. Get:1 http://asi-fs-n.contabo.net/debian stretch/main amd64 php-gd all 1:7.0+49 [5042 B] Get:2 http://security.debian.org/debian-security stretch/updates/main amd64 php7.0-gd amd64 7.0.33-0+deb9u1 [27.2 kB] Fetched 32.2 kB in 0s (51.1 kB/s) Selecting previously unselected package php7.0-gd. (Reading database ... (Reading database ... 5% (Reading database ... 10% (Reading database ... 15% (Reading database ... 20% (Reading database ... 25% (Reading database ... 30% (Reading database ... 35% (Reading database ... 40% (Reading database ... 45% (Reading database ... 50% (Reading database ... 55% (Reading database ... 60% (Reading database ... 65% (Reading database ... 70% (Reading database ... 75% (Reading database ... 80% (Reading database ... 85% (Reading database ... 90% (Reading database ... 95% (Reading database ... 100% (Reading database ... 98052 files and directories currently installed.) Preparing to unpack .../php7.0-gd_7.0.33-0+deb9u1_amd64.deb ... Unpacking php7.0-gd (7.0.33-0+deb9u1) ... Selecting previously unselected package php-gd. Preparing to unpack .../php-gd_1%3a7.0+49_all.deb ... Unpacking php-gd (1:7.0+49) ... Processing triggers for libapache2-mod-php7.0 (7.0.33-0+deb9u1) ... Setting up php7.0-gd (7.0.33-0+deb9u1) ...

Creating config file /etc/php/7.0/mods-available/gd.ini with new version Processing triggers for php7.0-fpm (7.0.33-0+deb9u1) ... NOTICE: Not enabling PHP 7.0 FPM by default. NOTICE: To enable PHP 7.0 FPM in Apache2 do: NOTICE: a2enmod proxy_fcgi setenvif NOTICE: a2enconf php7.0-fpm NOTICE: You are seeing this message because you have apache2 package installed. Setting up php-gd (1:7.0+49) ... Processing triggers for libapache2-mod-php7.0 (7.0.33-0+deb9u1) ... .. install complete. .. done

.. PHP module gd is now available. PHP module soap is required .. Enabling module in PHP configuration .. .. done Installing package php70-soap .. Installing package(s) with command apt-get -y -f install php70-soap ..

Reading package lists... Building dependency tree... Reading state information... E: Unable to locate package php70-soap .. install failed! Installing package php-soap .. Installing package(s) with command apt-get -y -f install php-soap ..

Reading package lists... Building dependency tree... Reading state information... The following additional packages will be installed: php7.0-soap The following NEW packages will be installed: php-soap php7.0-soap 0 upgraded, 2 newly installed, 0 to remove and 0 not upgraded. Need to get 118 kB of archives. After this operation, 355 kB of additional disk space will be used. Get:1 http://asi-fs-n.contabo.net/debian stretch/main amd64 php-soap all 1:7.0+49 [5048 B] Get:2 http://security.debian.org/debian-security stretch/updates/main amd64 php7.0-soap amd64 7.0.33-0+deb9u1 [113 kB] Fetched 118 kB in 0s (2705 kB/s) Selecting previously unselected package php7.0-soap. (Reading database ... (Reading database ... 5% (Reading database ... 10% (Reading database ... 15% (Reading database ... 20% (Reading database ... 25% (Reading database ... 30% (Reading database ... 35% (Reading database ... 40% (Reading database ... 45% (Reading database ... 50% (Reading database ... 55% (Reading database ... 60% (Reading database ... 65% (Reading database ... 70% (Reading database ... 75% (Reading database ... 80% (Reading database ... 85% (Reading database ... 90% (Reading database ... 95% (Reading database ... 100% (Reading database ... 98064 files and directories currently installed.) Preparing to unpack .../php7.0-soap_7.0.33-0+deb9u1_amd64.deb ... Unpacking php7.0-soap (7.0.33-0+deb9u1) ... Selecting previously unselected package php-soap. Preparing to unpack .../php-soap_1%3a7.0+49_all.deb ... Unpacking php-soap (1:7.0+49) ... Processing triggers for libapache2-mod-php7.0 (7.0.33-0+deb9u1) ... Processing triggers for php7.0-fpm (7.0.33-0+deb9u1) ... NOTICE: Not enabling PHP 7.0 FPM by default. NOTICE: To enable PHP 7.0 FPM in Apache2 do: NOTICE: a2enmod proxy_fcgi setenvif NOTICE: a2enconf php7.0-fpm NOTICE: You are seeing this message because you have apache2 package installed. Setting up php7.0-soap (7.0.33-0+deb9u1) ...

Creating config file /etc/php/7.0/mods-available/soap.ini with new version Setting up php-soap (1:7.0+49) ... Processing triggers for libapache2-mod-php7.0 (7.0.33-0+deb9u1) ... Processing triggers for php7.0-fpm (7.0.33-0+deb9u1) ... NOTICE: Not enabling PHP 7.0 FPM by default. NOTICE: To enable PHP 7.0 FPM in Apache2 do: NOTICE: a2enmod proxy_fcgi setenvif NOTICE: a2enconf php7.0-fpm NOTICE: You are seeing this message because you have apache2 package installed. .. install complete. .. done

.. PHP module soap is now available. Configuring webserver PHP settings .. .. done

Applying web server configuration .. .. done

Now installing Typo3 CMS version 7.6.29 .. Failed to extract source : Sub-directory typo3_src-7.6.29 was not found .. failed! See the error message above for the reason why. Re-loading Webmin .. .. done

Applying web server configuration .. .. done

dont need this comment anymore

I'm not sure I understand your last comment there... did you by chance get things working, or are you still having trouble with this one?

still having trouble but the last comment said something that is now not the case anymore. tho when i try to install it now i just get this error message: Failed to extract source : Sub-directory typo3_src-7.6.29 was not found

Okay, thanks for the clarification.

Jamie, any thoughts what would generate this error when installing Typo3:

Failed to extract source : Sub-directory typo3_src-7.6.29 was not found

was that actually supposed to be copied here or did you want to write that directly to "Jamie" xD?

Is there some weird bug going on that noone answers me?

Status:
Active
»
Closed (duplicate)

closed